
---
# Source: outside-deploy/charts/frontend-app/templates/configmap.yaml
kind: ConfigMap
apiVersion: v1
metadata:
  name: nginx-cm
  namespace: xtgt
  labels:
    cmii.type: frontend
data:
  nginx.conf: |
    user root;
    worker_processes  1;

    events {
        worker_connections  1024;
    }
    http {
        include       mime.types;
        default_type  application/octet-stream;

        sendfile        on;

        keepalive_timeout  65;

        server {
            listen       9528;
            server_name  localhost;
            gzip on;

            location / {
                root   /home/cmii-platform/dist;
                index  index.html index.htm;
            }

            error_page   500 502 503 504  /50x.html;
            location = /50x.html {
                root   html;
            }
        }
    }
---
# Source: outside-deploy/charts/frontend-app/templates/configmap.yaml
kind: ConfigMap
apiVersion: v1
metadata:
  name: default-nginx-cm
  namespace: xtgt
data:
  default.conf: |
    server {
        listen       9528;
        server_name  localhost;

        location / {
            if ($request_filename ~* ^.*?\.(css|js|gif|gz|svg|mp4|ogg|ogv|webm|htc|xml|woff)$){
                # add_header    Cache-Control  no-cache;
                add_header    Cache-Control  max-age=315360000;
                # expires      30d;
            }
            root   /home/cmii-platform/dist;
            index  index.html index.htm;
            try_files $uri $uri/ /index.html;
            gzip on;
        }

        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   /usr/share/nginx/html;
        }
    }
---
# Source: outside-deploy/charts/frontend-app/templates/service.yaml
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 3.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
# Source: outside-deploy/charts/frontend-app/templates/service.yaml
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-ai-brain
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-ai-brain
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 3.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-ai-brain
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
# Source: outside-deploy/charts/frontend-app/templates/service.yaml
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-mws
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-mws
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 3.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-mws
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
# Source: outside-deploy/charts/frontend-app/templates/service.yaml
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-oms
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-oms
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 3.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-oms
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
# Source: outside-deploy/charts/frontend-app/templates/service.yaml
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-open
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-open
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 3.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-open
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
# Source: outside-deploy/charts/frontend-app/templates/service.yaml
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-splice
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-splice
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 3.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-splice
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
# Source: outside-deploy/charts/frontend-app/templates/service.yaml
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-visualization
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-visualization
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 3.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-visualization
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
# Source: outside-deploy/charts/frontend-app/templates/service.yaml
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-security
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-security
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 3.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-security
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
# Source: outside-deploy/charts/frontend-app/templates/service.yaml
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-detection
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-detection
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 3.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-detection
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
# Source: outside-deploy/charts/frontend-app/templates/service.yaml
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-share
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-share
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 3.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-share
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
# Source: outside-deploy/charts/frontend-app/templates/service.yaml
---
apiVersion: v1
kind: Service
metadata:
  name: cmii-uav-platform-cms-portal
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-cms-portal
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/version: 3.1.0
spec:
  type: ClusterIP
  selector:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-cms-portal
  ports:
    - name: web-svc-port
      port: 9528
      protocol: TCP
      targetPort: 9528
---
# Source: outside-deploy/charts/frontend-app/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/chart-version: "2.2.2"
    app.kubernetes.io/app-version: "3.1.0"
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform
    spec:
      imagePullSecrets:
        - name: harborsecret
      securityContext:
        {}
      containers:
        - name: cmii-uav-platform
          image: "172.32.12.34:8033/cmii/cmii-uav-platform:3.1.0"
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: default
            - name: APPLICATION_NAME
              value: cmii-uav-platform
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: default-nginx-conf
              mountPath: /etc/nginx/conf.d/default.conf
              subPath: default.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: default-nginx-conf
          configMap:
            name: default-nginx-cm
            items:
              - key: default.conf
                path: default.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-platform
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
# Source: outside-deploy/charts/frontend-app/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-ai-brain
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-ai-brain
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/chart-version: "2.2.2"
    app.kubernetes.io/app-version: "3.1.0"
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-ai-brain
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-ai-brain
    spec:
      imagePullSecrets:
        - name: harborsecret
      securityContext:
        {}
      containers:
        - name: cmii-uav-platform-ai-brain
          image: "172.32.12.34:8033/cmii/cmii-uav-platform-ai-brain:3.1.0"
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: default
            - name: APPLICATION_NAME
              value: cmii-uav-platform-ai-brain
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: default-nginx-conf
              mountPath: /etc/nginx/conf.d/default.conf
              subPath: default.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: default-nginx-conf
          configMap:
            name: default-nginx-cm
            items:
              - key: default.conf
                path: default.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-ai-brain
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
# Source: outside-deploy/charts/frontend-app/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-mws
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-mws
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/chart-version: "2.2.2"
    app.kubernetes.io/app-version: "3.1.0"
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-mws
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-mws
    spec:
      imagePullSecrets:
        - name: harborsecret
      securityContext:
        {}
      containers:
        - name: cmii-uav-platform-mws
          image: "172.32.12.34:8033/cmii/cmii-uav-platform-mws:3.1.0"
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: default
            - name: APPLICATION_NAME
              value: cmii-uav-platform-mws
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: default-nginx-conf
              mountPath: /etc/nginx/conf.d/default.conf
              subPath: default.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: default-nginx-conf
          configMap:
            name: default-nginx-cm
            items:
              - key: default.conf
                path: default.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-mws
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
# Source: outside-deploy/charts/frontend-app/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-oms
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-oms
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/chart-version: "2.2.2"
    app.kubernetes.io/app-version: "3.1.0"
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-oms
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-oms
    spec:
      imagePullSecrets:
        - name: harborsecret
      securityContext:
        {}
      containers:
        - name: cmii-uav-platform-oms
          image: "172.32.12.34:8033/cmii/cmii-uav-platform-oms:3.1.0"
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: default
            - name: APPLICATION_NAME
              value: cmii-uav-platform-oms
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: default-nginx-conf
              mountPath: /etc/nginx/conf.d/default.conf
              subPath: default.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: default-nginx-conf
          configMap:
            name: default-nginx-cm
            items:
              - key: default.conf
                path: default.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-oms
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
# Source: outside-deploy/charts/frontend-app/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-open
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-open
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/chart-version: "2.2.2"
    app.kubernetes.io/app-version: "3.1.0"
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-open
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-open
    spec:
      imagePullSecrets:
        - name: harborsecret
      securityContext:
        {}
      containers:
        - name: cmii-uav-platform-open
          image: "172.32.12.34:8033/cmii/cmii-uav-platform-open:3.1.0"
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: default
            - name: APPLICATION_NAME
              value: cmii-uav-platform-open
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: default-nginx-conf
              mountPath: /etc/nginx/conf.d/default.conf
              subPath: default.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: default-nginx-conf
          configMap:
            name: default-nginx-cm
            items:
              - key: default.conf
                path: default.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-open
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
# Source: outside-deploy/charts/frontend-app/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-splice
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-splice
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/chart-version: "2.2.2"
    app.kubernetes.io/app-version: "3.1.0"
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-splice
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-splice
    spec:
      imagePullSecrets:
        - name: harborsecret
      securityContext:
        {}
      containers:
        - name: cmii-uav-platform-splice
          image: "172.32.12.34:8033/cmii/cmii-uav-platform-splice:3.1.0"
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: default
            - name: APPLICATION_NAME
              value: cmii-uav-platform-splice
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: default-nginx-conf
              mountPath: /etc/nginx/conf.d/default.conf
              subPath: default.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf.
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: default-nginx-conf
          configMap:
            name: default-nginx-cm
            items:
              - key: default.conf
                path: default.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-splice
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
# Source: outside-deploy/charts/frontend-app/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-visualization
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-visualization
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/chart-version: "2.2.2"
    app.kubernetes.io/app-version: "3.1.0"
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-visualization
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-visualization
    spec:
      imagePullSecrets:
        - name: harborsecret
      securityContext:
        {}
      containers:
        - name: cmii-uav-platform-visualization
          image: "172.32.12.34:8033/cmii/cmii-uav-platform-visualization:3.1.0"
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: default
            - name: APPLICATION_NAME
              value: cmii-uav-platform-visualization
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: default-nginx-conf
              mountPath: /etc/nginx/conf.d/default.conf
              subPath: default.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: default-nginx-conf
          configMap:
            name: default-nginx-cm
            items:
              - key: default.conf
                path: default.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-visualization
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
# Source: outside-deploy/charts/frontend-app/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-security
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-security
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/chart-version: "2.2.2"
    app.kubernetes.io/app-version: "3.1.0"
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-security
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-security
    spec:
      imagePullSecrets:
        - name: harborsecret
      securityContext:
        {}
      containers:
        - name: cmii-uav-platform-security
          image: "172.32.12.34:8033/cmii/cmii-uav-platform-security:3.1.0"
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: default
            - name: APPLICATION_NAME
              value: cmii-uav-platform-security
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: default-nginx-conf
              mountPath: /etc/nginx/conf.d/default.conf
              subPath: default.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: default-nginx-conf
          configMap:
            name: default-nginx-cm
            items:
              - key: default.conf
                path: default.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-security
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
# Source: outside-deploy/charts/frontend-app/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-detection
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-detection
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/chart-version: "2.2.2"
    app.kubernetes.io/app-version: "3.1.0"
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-detection
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-detection
    spec:
      imagePullSecrets:
        - name: harborsecret
      securityContext:
        {}
      containers:
        - name: cmii-uav-platform-detection
          image: "172.32.12.34:8033/cmii/cmii-uav-platform-detection:3.1.0"
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: default
            - name: APPLICATION_NAME
              value: cmii-uav-platform-detection
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: default-nginx-conf
              mountPath: /etc/nginx/conf.d/default.conf
              subPath: default.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: default-nginx-conf
          configMap:
            name: default-nginx-cm
            items:
              - key: default.conf
                path: default.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-detection
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
# Source: outside-deploy/charts/frontend-app/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-share
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-share
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/chart-version: "2.2.2"
    app.kubernetes.io/app-version: "3.1.0"
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-share
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-share
    spec:
      imagePullSecrets:
        - name: harborsecret
      securityContext:
        {}
      containers:
        - name: cmii-uav-platform-share
          image: "172.32.12.34:8033/cmii/cmii-uav-platform-share:3.1.0"
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: default
            - name: APPLICATION_NAME
              value: cmii-uav-platform-share
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: default-nginx-conf
              mountPath: /etc/nginx/conf.d/default.conf
              subPath: default.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: default-nginx-conf
          configMap:
            name: default-nginx-cm
            items:
              - key: default.conf
                path: default.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-share
            items:
              - key: ingress-config.js
                path: ingress-config.js
---
# Source: outside-deploy/charts/frontend-app/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmii-uav-platform-cms-portal
  namespace: xtgt
  labels:
    cmii.type: frontend
    cmii.app: cmii-uav-platform-cms-portal
    helm.sh/chart: frontend-app-1.2.2
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/chart-version: "2.2.2"
    app.kubernetes.io/app-version: "3.1.0"
spec:
  replicas: 1
  strategy:
    rollingUpdate:
      maxUnavailable: 1
  selector:
    matchLabels:
      cmii.type: frontend
      cmii.app: cmii-uav-platform-cms-portal
  template:
    metadata:
      labels:
        cmii.type: frontend
        cmii.app: cmii-uav-platform-cms-portal
    spec:
      imagePullSecrets:
        - name: harborsecret
      securityContext:
        {}
      containers:
        - name: cmii-uav-platform-cms-portal
          image: "172.32.12.34:8033/cmii/cmii-uav-platform-cms-portal:3.1.0"
          imagePullPolicy: Always
          env:
            - name: K8S_NAMESPACE
              value: default
            - name: APPLICATION_NAME
              value: cmii-uav-platform-cms-portal
          ports:
            - name: platform-9528
              containerPort: 9528
              protocol: TCP
          resources:
            limits:
              cpu: "1"
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 500Mi
          volumeMounts:
            - name: nginx-conf
              mountPath: /usr/local/nginx/conf/nginx.conf
              subPath: nginx.conf
            - name: default-nginx-conf
              mountPath: /etc/nginx/conf.d/default.conf
              subPath: default.conf
            - name: tenant-prefix
              subPath: ingress-config.js
              mountPath: /home/cmii-platform/dist/ingress-config.js
      volumes:
        - name: nginx-conf
          configMap:
            name: nginx-cm
            items:
              - key: nginx.conf
                path: nginx.conf
        - name: default-nginx-conf
          configMap:
            name: default-nginx-cm
            items:
              - key: default.conf
                path: default.conf
        - name: tenant-prefix
          configMap:
            name: tenant-prefix-cms-portal
            items:
              - key: ingress-config.js
                path: ingress-config.js
